# ChangeLog for app-crypt/bestcrypt
# Copyright 2002-2007 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/app-crypt/bestcrypt/ChangeLog,v 1.57 2007/02/01 11:47:10 alonbl Exp $

*bestcrypt-1.6_p11 (01 Feb 2007)

  01 Feb 2007; Alon Bar-Lev <alonbl@gentoo.org> +bestcrypt-1.6_p11.ebuild:
  Version bump, upstream received our patches

  24 Jan 2007; Marius Mauch <genone@gentoo.org> bestcrypt-1.6_p10-r1.ebuild:
  Replacing einfo with elog

  23 Jan 2007; Alon Bar-Lev <alonbl@gentoo.org>
  -files/bestcrypt-1.6_p2-path.patch, -files/bestcrypt-1.6_p5-gcc41.patch,
  -files/bestcrypt-1.6_p5-kernel-quotes.patch,
  -files/bestcrypt-1.6_p5-makefile_fix.patch:
  Cleanup

  23 Jan 2007; Christian Faulhammer <opfer@gentoo.org>
  bestcrypt-1.6_p10-r1.ebuild:
  stable x86; bug #162717

*bestcrypt-1.6_p10-r1 (18 Jan 2007)

  18 Jan 2007; Alon Bar-Lev <alonbl@gentoo.org>
  +bestcrypt-1.6_p10-r1.ebuild:
  Compilation environment cleanups

*bestcrypt-1.6_p10 (06 Dec 2006)

  06 Dec 2006; Alon Bar-Lev <alonbl@gentoo.org> +bestcrypt-1.6_p10.ebuild:
  Version bump

  26 Oct 2006; Joshua Jackson <tsunam@gentoo.org> bestcrypt-1.6_p8.ebuild:
  Stable x86; bug #152123

  20 Oct 2006; Alon Bar-Lev <alonbl@gentoo.org> -bestcrypt-1.6_p7.ebuild,
  +bestcrypt-1.6_p8.ebuild:
  Version bump, closes bug#149483. Upstream merged all our patches, so we
  don't need them anymore.

*bestcrypt-1.6_p8 (20 Oct 2006)

  19 Oct 2006; Markus Ullmann <jokey@gentoo.org> bestcrypt-1.6_p5.ebuild:
  minor QA: IUSE wrt bug #150083

  15 Oct 2006; Alon Bar-Lev <alonbl@gentoo.org>
  +files/bestcrypt-1.6_p5-kernel-quotes.patch, bestcrypt-1.6_p5.ebuild,
  bestcrypt-1.6_p7.ebuild:
  Adding kernel-quotes patch, closes bug#148989

*bestcrypt-1.6_p7 (11 Oct 2006)

  11 Oct 2006; Alon Bar-Lev <alonbl@gentoo.org> +bestcrypt-1.6_p7.ebuild:
  Version bump

  06 Oct 2006; Simon Stelling <blubb@gentoo.org> bestcrypt-1.6_p5.ebuild:
  fix wrt multilib-strict; bug 144588

  12 Jul 2006; Danny van Dyk <kugelfang@gentoo.org> bestcrypt-1.6_p5.ebuild:
  QA: Added pcmcia to IUSE, as it is used by linux-mod.eclass.

  29 Jun 2006; Daniel Black <dragonheart@gentoo.org>
  +files/bestcrypt-1.6_p5-gcc41.patch, bestcrypt-1.6_p5.ebuild:
  clean up hardened flag filtering for gcc41 compatability bug #137146 thanks
  to Craig

  29 May 2006; Daniel Black <dragonheart@gentoo.org>
  -files/bestcrypt-1.5_p10-makefile_fix.patch,
  -files/bestcrypt-1.5_p11-makefile_fix.patch,
  -files/bestcrypt-1.6_p1-kgsha256makefile_fix.patch,
  -files/bestcrypt-1.6_p1-makefile_fix.patch,
  -files/bestcrypt-1.6_p2-makefile_fix.patch, -files/bestcrypt.devfs,
  -bestcrypt-1.5_p10.ebuild, -bestcrypt-1.5_p11.ebuild,
  -bestcrypt-1.6_p1-r2.ebuild, -bestcrypt-1.6_p2-r1.ebuild:
  remove old stuff - this fails with newer kernels

  29 May 2006; Mark Loeser <halcy0n@gentoo.org> bestcrypt-1.6_p5.ebuild:
  Stable on x86; bug #128985

  27 Apr 2006; Marien Zwart <marienz@gentoo.org> Manifest:
  Fixing SHA256 digest, pass four

*bestcrypt-1.6_p5 (23 Apr 2006)

  23 Apr 2006; Daniel Black <dragonheart@gentoo.org>
  +files/bestcrypt-1.6_p5-makefile_fix.patch, +bestcrypt-1.6_p5.ebuild:
  version bump as per bug #130785 thanks Mike Auty

*bestcrypt-1.6_p2-r1 (12 Nov 2005)

  12 Nov 2005; Daniel Black <dragonheart@gentoo.org>
  +files/bestcrypt-1.6_p2-path.patch, -bestcrypt-1.6_p1.ebuild,
  -bestcrypt-1.6_p1-r1.ebuild, -bestcrypt-1.6_p2.ebuild,
  +bestcrypt-1.6_p2-r1.ebuild:
  path fix for mkfs.{dos,vfat,ntfs} from bug #107572. Did a bit of a cleanout
  too. Thanks to Alexander Wigen

*bestcrypt-1.6_p2 (10 Nov 2005)

  10 Nov 2005; Daniel Black <dragonheart@gentoo.org>
  +files/bestcrypt-1.6_p2-makefile_fix.patch, +bestcrypt-1.6_p2.ebuild:
  version bump

  10 Nov 2005; Daniel Black <dragonheart@gentoo.org>
  +files/bestcrypt-1.6_p1-kgsha256makefile_fix.patch,
  bestcrypt-1.6_p1-r2.ebuild:
  fix PIC problem as per bug #107958 thank to Wraith

*bestcrypt-1.6_p1-r2 (27 Sep 2005)

  27 Sep 2005; Marcelo Goes <vanquirius@gentoo.org>
  +bestcrypt-1.6_p1-r2.ebuild:
  Make kgsha256 and install libkgsha{,256}.so for bug 107392. Thanks to Alex
  <nitro dot fuel3d at gmail dot com>.

  16 Sep 2005; Ciaran McCreesh <ciaranm@gentoo.org> ChangeLog:
  Converted to UTF-8, fixed encoding screwups

*bestcrypt-1.5_p11 (07 Aug 2005)

  07 Aug 2005; Daniel Black <dragonheart@gentoo.org>
  +files/bestcrypt-1.5_p11-makefile_fix.patch, bestcrypt-1.5_p10.ebuild,
  +bestcrypt-1.5_p11.ebuild, bestcrypt-1.6_p1.ebuild,
  bestcrypt-1.6_p1-r1.ebuild:
  version bump on 1.5 series. added linux-mod_pkg_postinst to pkg_postinst
  (bug #100582). thanks to Craig for reporting

*bestcrypt-1.6_p1-r1 (21 Jun 2005)

  21 Jun 2005; Daniel Black <dragonheart@gentoo.org>
  +bestcrypt-1.6_p1-r1.ebuild:
  Test fix for serpent asm compile problems thanks to author: Michael
  Østergaard Pedersen

  20 Jun 2005; Daniel Black <dragonheart@gentoo.org>
  bestcrypt-1.6_p1.ebuild:
  Disabled serpent/rc6 for amd64. readded ~amd64 keyword. Submitted bug report
  upstream for amd64 serpent compile fault fault

  19 Jun 2005; Daniel Black <dragonheart@gentoo.org>
  bestcrypt-1.5_p10.ebuild, bestcrypt-1.6_p1.ebuild:
  masked on amd64 due to coding error (ref bug #94288). This has been reported
  upstream

*bestcrypt-1.6_p1 (23 May 2005)

  23 May 2005; Daniel Black <dragonheart@gentoo.org>
  +files/bestcrypt-1.6_p1-makefile_fix.patch, +bestcrypt-1.6_p1.ebuild:
  Version bump

  21 Apr 2005; Simon Stelling <blubb@gentoo.org> bestcrypt-1.5_p10.ebuild:
  stable on amd64

  15 Feb 2005; Daniel Black <dragonheart@gentoo.org> -files/bcrypt,
  -files/bcrypt2, -files/bestcrypt-1.5_p7-makefile_fix.patch,
  bestcrypt-1.5_p10.ebuild, -bestcrypt-1.5_p7.ebuild:
  Stilly error by me in bug #81905. Fixed to include devfsd correctly. Removed
  old version and added devfsd restart in pkg_postinst. Thanks to Craig
  <craig@haquarter.de>

  26 Jan 2005; Daniel Black <dragonheart@gentoo.org>
  -files/bestcrypt-1.5_p9-makefile_fix.patch, files/bestcrypt.devfs,
  bestcrypt-1.5_p10.ebuild, -bestcrypt-1.5_p7-r1.ebuild,
  -bestcrypt-1.5_p9-r1.ebuild:
  devfs stuff added to 1.5_p10 thanks to Craig <craig@haquarter.de>. 1.5_p10 x86
  stable. removed old versions

*bestcrypt-1.5_p10 (07 Jan 2005)

  07 Jan 2005; Daniel Black <dragonheart@gentoo.org> files/bcrypt3,
  +files/bestcrypt-1.5_p10-makefile_fix.patch, +files/bestcrypt.devfs,
  +bestcrypt-1.5_p10.ebuild, bestcrypt-1.5_p9-r1.ebuild:
  Version bump. Fixes to eliminate stackprotector from the kernel. init script
  updated to not create modules on udev. Small devfs conf added. Stop
  bestcrypt-1.5_p9-r1 from installing on 2.6.10 kernels that breaks. CFLAGS and
  CXXFLAGS used by ebuild now.

*bestcrypt-1.5_p9-r1 (04 Jan 2005)

  04 Jan 2005; Daniel Black <dragonheart@gentoo.org>
  +bestcrypt-1.5_p9-r1.ebuild, -bestcrypt-1.5_p9.ebuild:
  Added bc_mgr.c into the bc.ko to solve bug #76567 by Craig <craig@haquarter.de>

  03 Jan 2005; Daniel Black <dragonheart@gentoo.org>
  bestcrypt-1.5_p7-r1.ebuild, bestcrypt-1.5_p7.ebuild:
  SRC_URI no longer exists upstream. Changed to mirror://gentoo/

*bestcrypt-1.5_p9 (03 Jan 2005)

  03 Jan 2005; Daniel Black <dragonheart@gentoo.org>
  -files/bestcrypt-1.5_p2-bdev_file_fix.patch,
  -files/bestcrypt-1.5_p2-makefile_fix.patch,
  -files/bestcrypt-1.5_p5-makefile_fix.patch,
  -files/bestcrypt-1.5_p6-makefile_fix.patch,
  +files/bestcrypt-1.5_p9-makefile_fix.patch, -bestcrypt-1.2_p6.ebuild,
  -bestcrypt-1.5_p1.ebuild, -bestcrypt-1.5_p2.ebuild,
  -bestcrypt-1.5_p5.ebuild, -bestcrypt-1.5_p6.ebuild,
  +bestcrypt-1.5_p9.ebuild, -bestcrypt-1.4_p2.ebuild:
  Old version cleanout. Version bump converted to linux-mod eclass. Solves bug
  #67732 by Jorge Hodge <hodge@bridge.com.br>.

  31 Oct 2004; Brandon Low <lostlogic@gentoo.org>
  bestcrypt-1.5_p7-r1.ebuild:
  Update modules

*bestcrypt-1.5_p7-r1 (31 Oct 2004)

  31 Oct 2004; Brandon Low <lostlogic@gentoo.org> +files/bcrypt3,
  +bestcrypt-1.5_p7-r1.ebuild:
  Add 2 additional encryption modules from
  http://www.carceri.dk/index.php?redirect=other_bestcrypt, remove some
  deprecated code in the ebuild.

*bestcrypt-1.5_p7 (07 Oct 2004)

  07 Oct 2004; Brandon Low <lostlogic@gentoo.org> +bestcrypt-1.5_p7.ebuild:
  Bump, and moving this directly to stable as it is just bug fixes from 1.5_p6
  both in the gentoo version and the upstream.

  11 Sep 2004; Daniel Black <dragonheart@gentoo.org> metadata.xml:
  crypto herd to maintain

*bestcrypt-1.5_p6 (07 Jul 2004)

  07 Jul 2004; Martin Holzer <mholzer@gentoo.org>
  +files/bestcrypt-1.5_p6-makefile_fix.patch, +bestcrypt-1.5_p6.ebuild:
  Version bumped. Close 56128

*bestcrypt-1.5_p5 (03 Jul 2004)

  03 Jul 2004; Martin Holzer <mholzer@gentoo.org>
  +files/bestcrypt-1.5_p5-makefile_fix.patch, +bestcrypt-1.5_p5.ebuild:
  Version bumped. Closes 53504

  07 Jun 2004; Daniel Black <dragonheart@gentoo.org> bestcrypt-1.2_p6.ebuild,
  bestcrypt-1.4_p2.ebuild, bestcrypt-1.5_p1.ebuild, bestcrypt-1.5_p2.ebuild,
  +metdata.xml:
  QA fix (IUSE)

*bestcrypt-1.5_p2 (27 Mar 2004)

  27 Mar 2004; Daniel Ahlberg <aliz@gentoo.org> bestcrypt-1.5_p2.ebuild:
  Version bump. Fix detection of kernel dir, closing #42125. Also add patch for missing
  BDEV_FILE in newer 2.6 kernels and new Makefile patch.

  27 Mar 2004; Michael Sterrett <mr_bones_@gentoo.org>
  bestcrypt-1.2_p6.ebuild, bestcrypt-1.4_p2.ebuild, bestcrypt-1.5_p1.ebuild:
  inherit flag-o-matic; move filter-flags into src_unpack

*bestcrypt-1.5_p1 (18 Jan 2004)

  18 Jan 2004; Brandon Low <lostlogic@gentoo.org> bestcrypt-1.5_p1.ebuild,
  files/bcrypt2:
  Bump to the latest from jetico, modify the init script to work with
  module-init-tools and therefore with kernel-2.6, documentation seems to have
  been dropped from the package so remove it's installation from the ebuild

  12 Dec 2003; Daniel Ahlberg <aliz@gentoo.org> bestcrypt-1.4_p2.ebuild,
  bestcrupt-1.2_p6.ebuild:
  Filter -fforce-addr, closing #34603. Also remove docs from SRC_URI since they don't have any version
  in the filename.

*bestcrypt-1.4_p2 (25 Nov 2003)

  25 Nov 2003; Daniel Ahlberg <aliz@gentoo.org> bestcrypt-1.4_p2.ebuild:
  Version bump

  27 Oct 2003; Daniel Ahlberg <aliz@gentoo.org> files/bcrypt :
  Closing #26749.

*bestcrypt-1.2_p6 (10 Sep 2003)

  10 Sep 2003; Brandon Low <lostlogic@gentoo.org> bestcrypt-1.2_p6.ebuild:
  Bump

  25 Jun 2003; Brandon Low <lostlogic@gentoo.org> bestcrypt-1.2_p5.ebuild:
  Make it install documentation too

*bestcrypt-1.2_p5 (16 Jun 2003)

  16 Jun 2003; Daniel Ahlberg <aliz@gentoo.org> :
  Version bump.

*bestcrypt-1.2_p2 (01 Mar 2003)

  01 Mar 2003; Brandon Low <lostlogic@gentoo.org> bestcrypt-1.2_p2.ebuild:
  Use a better versioning scheme for this package allowing for gentoo-r bumps as
  needed.

*bestcrypt-1.2-r2 (13 Nov 2002)

  13 Nov 2002; Brandon Low <lostlogic@gentoo.org> ; * :

  Added new package.  This is a PAY LICENSE encryption package from
  Jetico, Inc.  Please read and understand the license before using
  this software.  30 Day Demo begins when you download and merge.
